View Issue Details

IDProjectCategoryView StatusLast Update
0028577Open CASCADEOCCT:Modeling Algorithmspublic2017-09-29 16:25
Reporteremv Assigned Tobugmaster  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version7.1.0 
Target Version7.2.0Fixed in Version7.2.0 
Summary0028577: Get rid of the TopOpeBRep* algorithms in TKOffset toolkit
DescriptionIn view of the removal of the old Boolean Operations it is necessary to remove all dependencies on TopOpeBRep* algorithms. This issue is intended to removal of such dependencies in TKOffset toolkit.
Steps To ReproduceNot needed.
TagsNo tags attached.
Test case numberNot needed

Relationships

related to 0028575 assignedemv Removal of the old Boolean Operations algorithm - BRepAlgo_BooleanOperation 

Activities

git

2017-03-22 07:40

administrator   ~0064595

Branch CR28577 has been created by emv.

SHA-1: 7b9c6205b1758668fab104a3e6fcddc626e63543


Detailed log of new commits:

Author: emv
Date: Tue Mar 21 15:47:34 2017 +0300

    0028577: Get rid of the TopOpeBRep* algorithms in TKOffset toolkit
    
    The TKOffset toolkit has been cleared from the usage of the obsolete TopOpeBRep* classes.

git

2017-03-22 10:37

administrator   ~0064603

Branch CR28577_1 has been created by emv.

SHA-1: c255b73bde2f8f2e5a9c4fb6ea53eefe6e68e13d


Detailed log of new commits:

Author: emv
Date: Tue Mar 21 15:47:34 2017 +0300

    0028577: Get rid of the TopOpeBRep* algorithms in TKOffset toolkit
    
    The TKOffset toolkit has been cleared from the usage of the obsolete TopOpeBRep* classes.

git

2017-03-22 11:03

administrator   ~0064605

Branch CR28577_1 has been updated forcibly by emv.

SHA-1: 324e949d40255d17270e58f4363b2bc0b35fd95e

msv

2017-03-22 11:06

developer   ~0064606

Reviewed.

apv

2017-03-23 16:50

tester   ~0064666

Dear BugMaster,

Branch CR28577_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 324e949d40255d17270e58f4363b2bc0b35fd95e

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 64
   Windows: 0
   MacOS: 1191

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 92738139 / 92543626 [+0.21%]
Total CPU difference: 19900.570000000185 / 20187.16000000011 [-1.42%]

Testing on Windows:
Total MEMORY difference: 57776787 / 57782265 [-0.01%]
Total CPU difference: 18706.31391149864 / 18782.551600198512 [-0.41%]

git

2017-03-24 13:41

administrator   ~0064684

Branch CR28577_1 has been updated by emv.

SHA-1: 90f5ec9c33679ea4976256075cb2be03156f2afd


Detailed log of new commits:

Author: emv
Date: Fri Mar 24 13:41:05 2017 +0300

    // Eliminating warning.

git

2017-05-12 11:36

administrator   ~0065935

Branch CR28577 has been deleted by kgv.

SHA-1: 7b9c6205b1758668fab104a3e6fcddc626e63543

git

2017-05-12 11:36

administrator   ~0065936

Branch CR28577_1 has been deleted by kgv.

SHA-1: 90f5ec9c33679ea4976256075cb2be03156f2afd

Related Changesets

occt: master 3b77eff6

2017-03-21 12:47:34

emv


Committer: bugmaster Details Diff
0028577: Get rid of the TopOpeBRep* algorithms in TKOffset toolkit

The TKOffset toolkit has been cleared from the usage of the obsolete TopOpeBRep* classes.
Affected Issues
0028577
mod - src/BRepLib/BRepLib_FuseEdges.cxx Diff File
mod - src/BRepOffset/BRepOffset_Inter3d.cxx Diff File
mod - src/BRepOffset/BRepOffset_Tool.cxx Diff File
mod - src/BRepOffsetAPI/BRepOffsetAPI_DraftAngle.cxx Diff File

Issue History

Date Modified Username Field Change
2017-03-20 15:04 emv New Issue
2017-03-20 15:04 emv Assigned To => msv
2017-03-20 15:04 emv Relationship added related to 0028575
2017-03-20 15:04 emv Assigned To msv => emv
2017-03-20 15:04 emv Status new => assigned
2017-03-20 16:39 msv Description Updated
2017-03-22 07:40 git Note Added: 0064595
2017-03-22 07:41 emv Assigned To emv => msv
2017-03-22 07:41 emv Status assigned => resolved
2017-03-22 07:41 emv Steps to Reproduce Updated
2017-03-22 10:37 git Note Added: 0064603
2017-03-22 11:03 git Note Added: 0064605
2017-03-22 11:06 msv Note Added: 0064606
2017-03-22 11:06 msv Assigned To msv => bugmaster
2017-03-22 11:06 msv Status resolved => reviewed
2017-03-22 12:26 apv Assigned To bugmaster => apv
2017-03-23 15:09 emv Steps to Reproduce Updated
2017-03-23 16:48 apv Test case number => Not needed
2017-03-23 16:50 apv Note Added: 0064666
2017-03-23 16:50 apv Assigned To apv => bugmaster
2017-03-23 16:50 apv Status reviewed => tested
2017-03-24 13:41 git Note Added: 0064684
2017-03-24 15:53 bugmaster Changeset attached => occt master 3b77eff6
2017-03-24 15:53 bugmaster Status tested => verified
2017-03-24 15:53 bugmaster Resolution open => fixed
2017-05-12 11:36 git Note Added: 0065935
2017-05-12 11:36 git Note Added: 0065936
2017-09-29 16:20 aiv Fixed in Version => 7.2.0
2017-09-29 16:25 aiv Status verified => closed
The file specified in $g_log_destination "/var/log/mantis/bugs/LDAP.log" is not writable.